VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Attributes
vmware::vcenter::ovf::LibraryItemTypes Class Reference

Defines the data types of the LibraryItem API service. More...

List of all members.

## Classes
class | CreateResult
| The `LibraryItem.CreateResult` class defines the result of the `Create` method. More...
class | CreateSpec
| The `LibraryItem.CreateSpec` class defines the information used to create or update a library item containing an OVF package. More...
class | CreateTarget
| The `LibraryItem.CreateTarget` class specifies the target library item when capturing a virtual machine or virtual appliance as an OVF package in a library item in a content library. More...
class | DeployableIdentity
| The `LibraryItem.DeployableIdentity` class describes the resource created by a deployment, or the source resource from which library item can be created, by specifying its resource type and resource identifier. More...
class | DeploymentResult
| The `LibraryItem.DeploymentResult` class defines the result of the `Deploy` method. More...
class | DeploymentTarget
| The `LibraryItem.DeploymentTarget` class describes the location (target) where a virtual machine or virtual appliance should be deployed. More...
class | OvfSummary
| The `LibraryItem.OvfSummary` class defines the result of the `Filter` method. More...
class | ResourcePoolDeploymentSpec
| The `LibraryItem.ResourcePoolDeploymentSpec` class defines the deployment parameters that can be specified for the `Deploy` method where the deployment target is a resource pool. More...
class | ResultInfo
| The `LibraryItem.ResultInfo` class defines the information returned along with the result of a `Create` or `Deploy` method to describe errors, warnings, and informational messages produced by the server. More...
class | StorageGroupMapping
| The `LibraryItem.StorageGroupMapping` class defines the storage deployment target and storage provisioning type for a section of type vmw:StorageGroupSection in the OVF descriptor. More...
## Static Public Attributes
static readonly string[] | DEPLOYABLE = {"VirtualMachine", "VirtualApp"}
| The types of resources that can be created by deploying an OVF package and can be captured to create a library item using the `LibraryItem` interface.

## Detailed Description

Defines the data types of the LibraryItem API service.

## Member Data Documentation

readonly string [] vmware::vcenter::ovf::LibraryItemTypes::DEPLOYABLE = {"VirtualMachine", "VirtualApp"}`[static]`

The types of resources that can be created by deploying an OVF package and can be captured to create a library item using the `LibraryItem` interface.

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs